package com.kxs.common.core.util;

import cn.hutool.core.date.DatePattern;
import cn.hutool.core.date.LocalDateTimeUtil;

import java.time.LocalDate;

/**
 * 仓库模块 日期操作
 *
 * @author 没秃顶的码农
 * @date 2024-01-11
 */
public class TotalDateUtil {

    /**
     * 获取日期 格式 20240110
     *
     * @return {@link String}
     */
    public static Integer getDateNumber(LocalDate date){

        return Integer.valueOf(LocalDateTimeUtil.format(date, DatePattern.PURE_DATE_PATTERN));
    }

    /**
     * 获取月份 格式 202401
     *
     * @return {@link String}
     */

    public static Integer getMonthNumber(LocalDate date){

        return Integer.valueOf(LocalDateTimeUtil.format(date, DatePattern.SIMPLE_MONTH_PATTERN));
    }

}
